# 安装前清单

为了与 Seirios RNS 无缝集成，在您的机器人系统中安装一些关键的机器人软件和驱动程序非常重要。 以下是在安装 Seirios 之前，Seirios RNS 要求您的机器人系统具备的清单：

* [ ] **电机驱动**
  * 确保电机驱动节点运行正常，并且可以通过 cmd 行的 Teleop 进行控制。 &#x20;
  * 确保电机驱动节点已订阅 主题`/cmd_vel`&#x20;
  * 否则，重新设置以订阅主题`/cmd_vel`&#x20;
* [ ] **传感器**
  * 确保传感器启动并正常运行
  * 确保他们将数据发布到正确的 ros 主题
  * 确保激光雷达将 2D 扫描发布到主题 `/scan`&#x20;
* [ ] **TF 检查**
  * 确保所有机器人的链接都有正确的 tf ，链接到 `odom`&#x20;
  * tf 树可以视觉化通过使用`$ rosrun rqt_tf_tree rqt_tf_tree`

![Example of TF Tree from rqt\_tf\_tree](https://lh4.googleusercontent.com/ql-Mn1b6e0cYe7xuSqPpxSho9b82mNruPXLW5N7SwKeuO7Ezz8SAokTueZjNFcKC6vtIebtOuMUfKtC5cj3_bMkfB6IC1ygwMNbl-G1mMv5ow3PvX3lnmOFbZnTx4kM6RWRZktzf=s0)

* [ ] **TF for base\_link to 扫描:**
  * Seirios RNS要求，在`base_link` 框架和`laser` 框架之间，需要有 直接的 **tf 链接**

![Direct Link/TF from base\_link to laser is required](/files/-MkL_nWKq8Vw3D0nNCqr)

* [ ] **RVIZ 传感器数据可视化**
  * 使用rviz，将传感器的数据可视化。使用的固定框架应为 `odom`
  * 添加tf的可视化，并确保所有的框架tfs没有警告

![RVIZ TF Display Status (All Are OK, No Warnings)](/files/-MkLa-VwBGbCfyv1CHR1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movel.ai/new-collection/jian-ti-zhong-wen/seirios-rns/installation-and-integration-1/pre-installation-checklist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
